Name: dbh
Version: 1.0.17
Release: alt3

Summary: Disk based hash library
License: QPL
Group: Databases
Packager: Andrey Astafiev <andrei@altlinux.ru>
Url: http://dbh.sourceforge.net

Source: %{name}_1.0-17.tar.gz

# Automatically added by buildreq on Tue Nov 04 2003
BuildRequires: gcc-c++ libstdc++-devel

%description
Disk based hashes is a method to create multidimensional binary trees on disk.
This library permits the extension of database concept to a plethora of
electronic data, such as graphic information. With the multidimensional binary
tree it is possible to mathematically prove that access time to any
particular record is minimized (using the concept of critical points from
calculus), which provides the means to construct optimized databases for
particular applications.

%package -n lib%name
Summary: dbh shared library
Group: System/Libraries
License: QPL

%description -n lib%name
This package contains shared library required for packaging
libdbh-based software.

%package -n lib%name-devel
Summary: Development files for libdbh
Group: Development/C
PreReq: lib%name = %version-%release
License: QPL

%description -n lib%name-devel
This package contains development files required for packaging
libdbh-based software.

%package -n lib%name-devel-static
Summary: Static libraries for libdbh
Group: Development/C
PreReq: lib%name-devel = %version-%release
License: QPL

%description -n lib%name-devel-static
This package contains development libraries required for packaging
statically linked libdbh-based software.

%prep
%setup -q -n dbh_1.0-17

%build
%configure
%make

%install
%makeinstall

%files -n lib%name
%doc AUTHORS ChangeLog license doc/dbh-hash-tables.html
%_libdir/libdbh*.so.*
%_libdir/pkgconfig/*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Sun Dec 07 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0.17-alt3
- *.la files removed.

* Mon Nov 03 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0.17-alt2
- Fixed Buildrequires.

* Fri Oct 31 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0.17-alt1
- 1.0.17

* Tue Apr 15 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0-alt1
- First version for AltLinux Team.
